//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include <string>
#include "REndGame.h"

SigC::Signal0<void> REndGame::d_signal;

REndGame::REndGame()
    :Reaction(ENDGAME)
{
}

REndGame::REndGame(XML_Helper* helper)
    :Reaction(ENDGAME)
{
}

REndGame::~REndGame()
{
}

bool REndGame::save(XML_Helper* helper)
{
    bool retval = true;

    retval &= helper->openTag("reaction");
    retval &= helper->saveData("type", std::string("RENDGAME"));
    retval &= helper->closeTag();
    
    return retval;
}

bool REndGame::trigger()
{
    d_signal.emit();
    return true;
}

void REndGame::connect(SigC::Slot0<void> slot)
{
    d_signal.connect(slot);
}
