//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include <string>
#include "Reaction.h"
#include "REndGame.h"
#include "RMessage.h"
#include "RAddGold.h"
#include "RAddUnit.h"

Reaction::Reaction(TYPE type)
    :d_type(type)
{
}

Reaction::~Reaction()
{
}

Reaction* Reaction::loadReaction(XML_Helper* helper)
{
    std::string type;
    Reaction* retval = 0;

    helper->getData(type, "type");

    if (type == std::string("RENDGAME"))
        retval = new REndGame(helper);

    if (type == std::string("RMESSAGE"))
        retval = new RMessage(helper);

    if (type == std::string("RADDGOLD"))
        retval = new RAddGold(helper);

    if (type == std::string("RADDUNIT"))
        retval = new RAddUnit(helper);
    
    return retval;
}
