//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "armyset_army.h"
#include <iostream>

Armyset_army::Armyset_army()
    :d_pixmap(0), d_mask(0)
{
}

Armyset_army::Armyset_army(const Armyset_army& a)
    :d_name(a.d_name), d_pixmap(a.d_pixmap), d_mask(a.d_mask), 
    d_production(a.d_production), d_production_cost(a.d_production_cost),
    d_upkeep(a.d_upkeep), d_max_strength(a.d_max_strength),
    d_defense(a.d_defense), d_max_hp(a.d_max_hp), d_max_moves(a.d_max_moves),
    d_vitality(a.d_vitality), d_xp_value(a.d_xp_value),
    d_move_bonus(a.d_move_bonus), d_army_bonus(a.d_army_bonus)
{
}

Armyset_army::~Armyset_army()
{
}

void Armyset_army::printDebugInfo()
{
    std::cerr << "name = " << d_name << std::endl;
    std::cerr << "pixmap = " << d_pixmap << std::endl;
    std::cerr << "mask = " << d_mask << std::endl;
    std::cerr << "max_hp = " << d_max_hp << std::endl;
    std::cerr << "xp_value = " << d_xp_value << std::endl;
    std::cerr << "max_strength = " << d_max_strength << std::endl;
    std::cerr << "defense = " << d_defense << std::endl;
    std::cerr << "vitality = " << d_vitality << std::endl;
    std::cerr << "max_moves = " << d_max_moves << std::endl;
    std::cerr << "upkeep = " << d_upkeep << std::endl;
    std::cerr << "production = " << d_production << std::endl;
    std::cerr << "production_cost = " << d_production_cost << std::endl;
    std::cerr << "move_bonus = " << d_move_bonus << std::endl;
    std::cerr << "army_bonus = " << d_army_bonus << std::endl;
}

